Files
Download the Certificate of Completion
get/documents/{id}/certificate
Returns the Certificate of Completion as a PDF, rather than a link.
Needs a key with documents:read.
Path parameters
idUUIDRequiredThe document ID.
Example request
curl "https://www.inkly.so/api/v1/documents/3f1c2a7e-8b4d-4e21-9a6f-5d0c7e1b2a34/certificate" \
-H "Authorization: Bearer $INKLY_API_KEY" \
--output certificate.pdfReturns 200 with the PDF as the response body.
Errors specific to this endpoint
document_not_found404Document not found.certificate_not_ready409The certificate is not ready. Retry shortly.document_not_completed409This document is not completed.
Every endpoint can also return the common errors.